Bug 224303 - databases/mongodb36: new port
Summary: databases/mongodb36: new port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-13 01:00 UTC by dev
Modified: 2018-02-05 18:45 UTC (History)
3 users (show)

See Also:


Attachments
mongodb36 port (10.66 KB, patch)
2017-12-13 01:00 UTC, dev
no flags Details | Diff
Addresses Phabricator comments (10.70 KB, patch)
2017-12-24 09:13 UTC, dev
no flags Details | Diff
3.6.2, builds with boost 1.6.6 (3.97 KB, patch)
2018-01-22 10:56 UTC, dev
no flags Details | Diff
Clean patch, make it build with Boost 1.66 (11.92 KB, patch)
2018-02-02 11:30 UTC, dev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dev 2017-12-13 01:00:17 UTC
Created attachment 188781 [details]
mongodb36 port
Comment 1 dev 2017-12-24 09:13:05 UTC
Created attachment 189075 [details]
Addresses Phabricator comments
Comment 2 Nikolai Lifanov freebsd_committer 2017-12-26 14:04:53 UTC
take
Comment 3 Nikolai Lifanov freebsd_committer 2018-01-01 15:07:16 UTC
I pretty much have a tested version with the changes I requested in Phabricator.
Do you mind if I just commit it?
Comment 4 dev 2018-01-01 15:15:21 UTC
(In reply to Nikolai Lifanov from comment #3)

Hi Nikolai, Happy New Year! I was planning on addressing your comments in a few days after returning from travels, but sure, please feel free to commit it. Thanks for doing this!
Comment 5 Nikolai Lifanov freebsd_committer 2018-01-01 16:38:09 UTC
Hi! Sorry, I was busy as well. Happy New Year!
Comment 6 commit-hook freebsd_committer 2018-01-01 16:45:35 UTC
A commit references this bug:

Author: lifanov
Date: Mon Jan  1 16:45:01 UTC 2018
New revision: 457783
URL: https://svnweb.freebsd.org/changeset/ports/457783

Log:
  add new port: MongoDB 3.6.0

  PR:		224303
  Submitted by:	dev@dudu.ro
  Differential Revision:	https://reviews.freebsd.org/D13594

Changes:
  head/databases/Makefile
  head/databases/mongodb36/
  head/databases/mongodb36/Makefile
  head/databases/mongodb36/distinfo
  head/databases/mongodb36/files/
  head/databases/mongodb36/files/mongod.in
  head/databases/mongodb36/files/patch-SConstruct
  head/databases/mongodb36/files/patch-rpm_mongod.conf
  head/databases/mongodb36/pkg-descr
  head/databases/mongodb36/pkg-plist
Comment 7 Nikolai Lifanov freebsd_committer 2018-01-01 16:45:54 UTC
Committed, thanks!
Comment 9 dev 2018-01-22 10:56:39 UTC
Created attachment 189962 [details]
3.6.2, builds with boost 1.6.6
Comment 10 dev 2018-02-02 11:30:21 UTC
Created attachment 190266 [details]
Clean patch, make it build with Boost 1.66

Hi, can this be merged?
Comment 11 Nikolai Lifanov freebsd_committer 2018-02-02 15:09:26 UTC
Yeah, I'll take care of it
Comment 12 commit-hook freebsd_committer 2018-02-05 18:43:36 UTC
A commit references this bug:

Author: lifanov
Date: Mon Feb  5 18:43:21 UTC 2018
New revision: 461011
URL: https://svnweb.freebsd.org/changeset/ports/461011

Log:
  re-add databases/mongodb36 - it was not repocopied

  Pointyhat to:	lifanov
  Spotted by:	danfe, mat

  PR:		224303
  Submitted by:	dev@dudu.ro
  Differential Revision:	https://reviews.freebsd.org/D13594

Changes:
  head/databases/Makefile
  head/databases/mongodb36/
  head/databases/mongodb36/Makefile
  head/databases/mongodb36/distinfo
  head/databases/mongodb36/files/patch-SConstruct
  head/databases/mongodb36/files/patch-rpm_mongod.conf
  head/databases/mongodb36/files/patch-src_mongo_crypto_sha1__block__openssl.cpp
  head/databases/mongodb36/files/patch-src_mongo_db_fts_unicode_string.cpp
  head/databases/mongodb36/files/patch-src_mongo_db_repl_oplog__fetcher.cpp
  head/databases/mongodb36/files/patch-src_mongo_util_net_ssl__manager.cpp
  head/databases/mongodb36/pkg-descr
  head/databases/mongodb36/pkg-plist
Comment 13 Nikolai Lifanov freebsd_committer 2018-02-05 18:45:49 UTC
This is re-added. I'm sorry for the mistake and the delay.